Name:          xincluder
Version:       1.0d11
Release:       %mkrel 8
Summary:       Java class library that provides XInclude processing for existing XML APIs
Group:         Development/Java
License:       LGPL
Url:           http://xincluder.sourceforge.net/
Source0:       ftp://ftp.ibiblio.org/pub/languages/java/javafaq/xincluder-1.0d11.tar.gz
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jdom
BuildRequires: jpackage-utils
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      jpackage-utils
BuildArch:     noarch

%description
XIncluder is a Java class library that provides XInclude processing for existing XML APIs,
specifically SAX2, DOM2, and JDOM.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
XIncluder is a Java class library that provides XInclude processing for existing XML APIs,
specifically SAX2, DOM2, and JDOM.

This package contains javadoc for %{name}.

%prep
%setup -q -n xincluder

iconv -f iso8859-1 -t utf-8 lgpl.txt > lgpl.txt.conv && mv -f lgpl.txt.conv lgpl.txt
sed -i 's/\r//' lgpl.txt

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

ln -sf $(build-classpath jdom) lib/jdom-1.0b9rc.jar
ln -sf $(build-classpath xerces-j2) lib/xercesImpl-2.0.2.jar
ln -sf $(build-classpath xml-commons-apis) lib/xmlParserAPIs-2.0.2.jar

%build
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath jdom):bin/classes
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}

install -m 0644 xincluder.jar \
  %{buildroot}%{_javadir}/xincluder-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/xincluder-%{version}
cp -pr apidoc/* %{buildroot}%{_javadocdir}/xincluder-%{version}
ln -s xincluder-%{version} %{buildroot}%{_javadocdir}/xincluder

%files
%{_javadir}/xincluder-%{version}.jar
%{_javadir}/xincluder.jar
%doc index.html lgpl.txt

%files javadoc
%{_javadocdir}/xincluder-%{version}
%{_javadocdir}/xincluder



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0d11-8.mga8
+ Revision: 1501292
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0d11-7.mga7
+ Revision: 1277218
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 1.0d11-6.mga6
+ Revision: 933396
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0d11-5.mga5
+ Revision: 739379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0d11-4.mga5
+ Revision: 690664
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0d11-3.mga4
+ Revision: 520693
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0d11-2.mga3
+ Revision: 387012
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 1.0d11-1.mga2
+ Revision: 163099
- imported package xincluder


* Sat Jun 11 2011 gil <gil> 1.0d11-0.%%mkrel
- initial rpm